Package weka.attributeSelection

# Interface StartSetHandler

All Known Implementing Classes:
  `BestFirst`, `GeneticSearch`, `GreedyStepwise`, `LinearForwardSelection`, `RandomSearch`, `Ranker`

public interface StartSetHandler
Interface for search methods capable of doing something sensible given a starting set of attributes.

Version:
  $Revision: 1.8 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`String`
`getStartSet()`
Returns a list of attributes (and or attribute ranges) as a String
`void`
`setStartSet(String startSet)`
Sets a starting set of attributes for the search.

## Method Details

### setStartSet

void setStartSet(String startSet) throws Exception
Sets a starting set of attributes for the search. It is the search method's responsibility to report this start set (if any) in its toString() method.

Parameters:
  `startSet` - a string containing a list of attributes (and or ranges), eg. 1,2,6,10-15.
Throws:
  `Exception` - if start set can't be set.

### getStartSet

String getStartSet()
Returns a list of attributes (and or attribute ranges) as a String

Returns:
  a list of attributes (and or attribute ranges)